# convention

@Incubating
abstract fun convention(paths: Iterable<out Any>): ConfigurableFileCollection
@Incubating
abstract fun convention(@Nullable paths: Array<@Nullable Any>): ConfigurableFileCollection

Specifies the value to use as the convention (default value) to be used when resolving this file collection, if no source paths are explicitly defined. If, at the time this method is invoked, the set of source paths for this collection is empty, the convention will be used to resolve this file collection.

#### Return

this collection

#### Since

8.8

#### Parameters

paths

The paths. `null` values are ignored.